%{?mingw_package_header}

%global pkgname gtkspellmm30

Name:          mingw-%{pkgname}
Version:       3.0.3
Release:       4%{?dist}
Summary:       MinGW Windows GtkSpellmm library
License:       GPLv2+
BuildArch:     noarch
URL:           http://gtkspell.sourceforge.net/
Source0:       http://downloads.sourceforge.net/gtkspell/gtkspellmm-%{version}.tar.gz

BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw32-gcc
BuildRequires: mingw32-glibmm24
BuildRequires: mingw32-gtkmm30
BuildRequires: mingw32-gtkspell3

BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw64-gcc
BuildRequires: mingw64-glibmm24
BuildRequires: mingw64-gtkmm30
BuildRequires: mingw64-gtkspell3


%description
MinGW Windows GtkSpellmm library.


%package -n mingw32-%{pkgname}
Summary:       MinGW Windows GtkSpellmm library

%description -n mingw32-%{pkgname}
MinGW Windows GtkSpellmm library.


%package -n mingw32-%{pkgname}-static
Summary:       Static version of the MinGW Windows GtkSpellmm library
Requires:      mingw32-%{pkgname} = %{version}-%{release}

%description -n mingw32-%{pkgname}-static
Static version of the MinGW Windows GtkSpellmm library.


%package -n mingw64-%{pkgname}
Summary:       MinGW Windows GtkSpellmm library

%description -n mingw64-%{pkgname}
MinGW Windows GtkSpellmm library.


%package -n mingw64-%{pkgname}-static
Summary:       Static version of the MinGW Windows GtkSpellmm library
Requires:      mingw64-%{pkgname} = %{version}-%{release}

%description -n mingw64-%{pkgname}-static
Static version of the MinGW Windows GtkSpellmm library.


%{?mingw_debug_package}


%prep
%setup -q -n gtkspellmm-%{version}


%build
%mingw_configure --disable-documentation --enable-static
%mingw_make %{?_smp_mflags}


%install
%mingw_make DESTDIR=%{buildroot} install

# Delete *.la files
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%files -n mingw32-%{pkgname}
%doc AUTHORS ChangeLog NEWS README
%license COPYING
%{mingw32_bindir}/libgtkspellmm-3.0-0.dll
%{mingw32_includedir}/gtkspellmm-3.0/
%{mingw32_libdir}/gtkspellmm-3.0/
%{mingw32_libdir}/libgtkspellmm-3.0.dll.a
%{mingw32_libdir}/pkgconfig/gtkspellmm-3.0.pc

%files -n mingw32-%{pkgname}-static
%{mingw32_libdir}/libgtkspellmm-3.0.a

%files -n mingw64-%{pkgname}
%doc AUTHORS ChangeLog NEWS README
%license COPYING
%{mingw64_bindir}/libgtkspellmm-3.0-0.dll
%{mingw64_includedir}/gtkspellmm-3.0/
%{mingw64_libdir}/gtkspellmm-3.0/
%{mingw64_libdir}/libgtkspellmm-3.0.dll.a
%{mingw64_libdir}/pkgconfig/gtkspellmm-3.0.pc

%files -n mingw64-%{pkgname}-static
%{mingw64_libdir}/libgtkspellmm-3.0.a


%changelog
* Sat Apr 11 2015 Kalev Lember <kalevlember@gmail.com> - 3.0.3-4
- Rebuild against latest mingw-gcc

* Thu Mar 26 2015 Sandro Mani <manisandro@gmail.com> - 3.0.3-3
- Use license macro for the COPYING file

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Apr 30 2014 Sandro Mani <manisandro@gmail.com> - 3.0.3-1
- Update to 3.0.3

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 08 2013 Sandro Mani <manisandro@gmail.com> - 3.0.2-3
- Rebuild again to really resolve InterlockedCompareExchange regression in mingw32 libraries

* Sun Jun 16 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 3.0.2-2
- Rebuild to resolve InterlockedCompareExchange regression in mingw32 libraries

* Tue Jun 04 2013 Sandro Mani <manisandro@gmail.com> - 3.0.2-1
- Update to 3.0.2

* Sun May 19 2013 Sandro Mani <manisandro@gmail.com> - 3.0.1-2
- Remove mingw_build_win32/64 macros
- Properly version mingw32-filesystem BuildRequires

* Wed May 08 2013 Sandro Mani <manisandro@gmail.com> - 3.0.1-1
- Initial package
